import { App } from 'vue';

export interface Loading {
  /**
   * 返回 loading 组件实例
   */
  show(): any;
  hide(): void;
  destroy(): void;
  install(app: App, ...options: any[]): any;
}

declare module '@vue/runtime-core' {
  interface ComponentCustomProperties {
    $loading: Loading;
  }
}
